import { ModuleWithProviders } from '@angular/core';
import { IAuthConfiguration } from './data/auth.models';
import { IServiceConfiguration } from '../models/service.configuration.model';
import { AuthService } from './auth.service';
export declare class AuthModule {
    static forRoot(config: IServiceConfiguration | IAuthConfiguration): ModuleWithProviders<AuthModule>;
}
export declare function authSilentSignin(auth: AuthService): () => Promise<void>;
