import { EventEmitter, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { MatDialog } from '@angular/material/dialog';
import { ToolbarService } from '../../toolbar.service';
import { Common } from '../../../common';
import { ActivatedRoute, Router } from '@angular/router';
export declare class ToolbarComponent extends Common implements OnInit {
    toolbar: ToolbarService;
    private dialog;
    enabled: boolean;
    keyUp: Subject<KeyboardEvent>;
    search: EventEmitter<string>;
    title: string;
    direction: any;
    username: string;
    email: string;
    private _dialogRef;
    constructor(toolbar: ToolbarService, dialog: MatDialog, router: Router, activatedRoute: ActivatedRoute);
    ngOnInit(): void;
    openMenu(): void;
    private _subscribeToData;
}
