(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/router'), require('oidc-client'), require('rxjs'), require('rxjs/operators'), require('@angular/common/http'), require('@angular/common'), require('@angular/material/icon'), require('@angular/material/button'), require('@angular/material/toolbar'), require('@angular/material/form-field'), require('@angular/material/input'), require('@angular/material/divider'), require('@angular/material/dialog'), require('@angular/flex-layout'), require('@angular/material/card')) :
    typeof define === 'function' && define.amd ? define('pixo-ui-infra', ['exports', '@angular/core', '@angular/router', 'oidc-client', 'rxjs', 'rxjs/operators', '@angular/common/http', '@angular/common', '@angular/material/icon', '@angular/material/button', '@angular/material/toolbar', '@angular/material/form-field', '@angular/material/input', '@angular/material/divider', '@angular/material/dialog', '@angular/flex-layout', '@angular/material/card'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['pixo-ui-infra'] = {}, global.ng.core, global.ng.router, global.oidcClient, global.rxjs, global.rxjs.operators, global.ng.common.http, global.ng.common, global.ng.material.icon, global.ng.material.button, global.ng.material.toolbar, global.ng.material.formField, global.ng.material.input, global.ng.material.divider, global.ng.material.dialog, global.ng.flexLayout, global.ng.material.card));
}(this, (function (exports, i0, i2, oidcClient, rxjs, operators, http, common, icon, button, toolbar, formField, input, divider, dialog, flexLayout, card) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation.

    Permission to use, copy, modify, and/or distribute this software for any
    purpose with or without fee is hereby granted.

    THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
    REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
    AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
    INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
    LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
    OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
    PERFORMANCE OF THIS SOFTWARE.
    ***************************************************************************** */
    /* global Reflect, Promise */
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b)
                if (Object.prototype.hasOwnProperty.call(b, p))
                    d[p] = b[p]; };
        return extendStatics(d, b);
    };
    function __extends(d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }
    var __assign = function () {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s)
                    if (Object.prototype.hasOwnProperty.call(s, p))
                        t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };
    function __rest(s, e) {
        var t = {};
        for (var p in s)
            if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
                t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }
    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
            r = Reflect.decorate(decorators, target, key, desc);
        else
            for (var i = decorators.length - 1; i >= 0; i--)
                if (d = decorators[i])
                    r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }
    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); };
    }
    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function")
            return Reflect.metadata(metadataKey, metadataValue);
    }
    function __awaiter(thisArg, _arguments, P, generator) {
        function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try {
                step(generator.next(value));
            }
            catch (e) {
                reject(e);
            } }
            function rejected(value) { try {
                step(generator["throw"](value));
            }
            catch (e) {
                reject(e);
            } }
            function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }
    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function () { if (t[0] & 1)
                throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function () { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f)
                throw new TypeError("Generator is already executing.");
            while (_)
                try {
                    if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done)
                        return t;
                    if (y = 0, t)
                        op = [op[0] & 2, t.value];
                    switch (op[0]) {
                        case 0:
                        case 1:
                            t = op;
                            break;
                        case 4:
                            _.label++;
                            return { value: op[1], done: false };
                        case 5:
                            _.label++;
                            y = op[1];
                            op = [0];
                            continue;
                        case 7:
                            op = _.ops.pop();
                            _.trys.pop();
                            continue;
                        default:
                            if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) {
                                _ = 0;
                                continue;
                            }
                            if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) {
                                _.label = op[1];
                                break;
                            }
                            if (op[0] === 6 && _.label < t[1]) {
                                _.label = t[1];
                                t = op;
                                break;
                            }
                            if (t && _.label < t[2]) {
                                _.label = t[2];
                                _.ops.push(op);
                                break;
                            }
                            if (t[2])
                                _.ops.pop();
                            _.trys.pop();
                            continue;
                    }
                    op = body.call(thisArg, _);
                }
                catch (e) {
                    op = [6, e];
                    y = 0;
                }
                finally {
                    f = t = 0;
                }
            if (op[0] & 5)
                throw op[1];
            return { value: op[0] ? op[1] : void 0, done: true };
        }
    }
    var __createBinding = Object.create ? (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        Object.defineProperty(o, k2, { enumerable: true, get: function () { return m[k]; } });
    }) : (function (o, m, k, k2) {
        if (k2 === undefined)
            k2 = k;
        o[k2] = m[k];
    });
    function __exportStar(m, o) {
        for (var p in m)
            if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p))
                __createBinding(o, m, p);
    }
    function __values(o) {
        var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
        if (m)
            return m.call(o);
        if (o && typeof o.length === "number")
            return {
                next: function () {
                    if (o && i >= o.length)
                        o = void 0;
                    return { value: o && o[i++], done: !o };
                }
            };
        throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    /** @deprecated */
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }
    /** @deprecated */
    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++)
            s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    }
    function __spreadArray(to, from) {
        for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
            to[j] = from[i];
        return to;
    }
    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }
    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n])
            i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try {
            step(g[n](v));
        }
        catch (e) {
            settle(q[0][3], e);
        } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length)
            resume(q[0][0], q[0][1]); }
    }
    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }
    function __asyncValues(o) {
        if (!Symbol.asyncIterator)
            throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function (v) { resolve({ value: v, done: d }); }, reject); }
    }
    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) {
            Object.defineProperty(cooked, "raw", { value: raw });
        }
        else {
            cooked.raw = raw;
        }
        return cooked;
    }
    ;
    var __setModuleDefault = Object.create ? (function (o, v) {
        Object.defineProperty(o, "default", { enumerable: true, value: v });
    }) : function (o, v) {
        o["default"] = v;
    };
    function __importStar(mod) {
        if (mod && mod.__esModule)
            return mod;
        var result = {};
        if (mod != null)
            for (var k in mod)
                if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k))
                    __createBinding(result, mod, k);
        __setModuleDefault(result, mod);
        return result;
    }
    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }
    function __classPrivateFieldGet(receiver, privateMap) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to get private field on non-instance");
        }
        return privateMap.get(receiver);
    }
    function __classPrivateFieldSet(receiver, privateMap, value) {
        if (!privateMap.has(receiver)) {
            throw new TypeError("attempted to set private field on non-instance");
        }
        privateMap.set(receiver, value);
        return value;
    }

    var User = /** @class */ (function () {
        function User(username, fullName, email) {
            this.username = username;
            this.fullName = fullName;
            this.email = email;
        }
        User.build = function (obj) {
            return new User(obj.username, obj.full_name, obj.email);
        };
        return User;
    }());

    var AuthConfiguration = /** @class */ (function () {
        function AuthConfiguration() {
        }
        return AuthConfiguration;
    }());
    AuthConfiguration.decorators = [
        { type: i0.Injectable }
    ];

    var AuthService = /** @class */ (function () {
        function AuthService(_authConfiguration, _router, _activatedRoute) {
            this._authConfiguration = _authConfiguration;
            this._router = _router;
            this._activatedRoute = _activatedRoute;
            this._userSubject = new rxjs.BehaviorSubject(null);
            this.isAuthenticated$ = this._getUser().pipe(operators.map(function (u) { return !!u; }));
            this.user = this._getUser();
            this._userManager = new oidcClient.UserManager(this._getSettings());
            this._subscribeToEvents();
        }
        AuthService._createArguments = function (state) {
            return { useReplaceToNavigate: true, data: state };
        };
        AuthService._buildUser = function (user) {
            return user && User.build(user.profile);
        };
        AuthService.prototype.getAccessToken = function () {
            var _this = this;
            return rxjs.of(null)
                .pipe(operators.mergeMap(function () { return rxjs.from(_this._userManager.getUser()); }), operators.map(function (user) { return user && user.access_token; }));
        };
        AuthService.prototype.populate = function () {
            return __awaiter(this, void 0, void 0, function () {
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0: return [4 /*yield*/, this.login({})];
                        case 1:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        AuthService.prototype.login = function (state) {
            return __awaiter(this, void 0, void 0, function () {
                var user, silentError_1, redirectError_1;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            _a.trys.push([0, 2, , 7]);
                            return [4 /*yield*/, this._userManager.signinSilent(AuthService._createArguments(state))];
                        case 1:
                            user = _a.sent();
                            this._userSubject.next(AuthService._buildUser(user));
                            return [2 /*return*/, state];
                        case 2:
                            silentError_1 = _a.sent();
                            console.log('Silent authentication error: ', silentError_1);
                            _a.label = 3;
                        case 3:
                            _a.trys.push([3, 5, , 6]);
                            return [4 /*yield*/, this._userManager.signinRedirect(AuthService._createArguments(state))];
                        case 4:
                            _a.sent();
                            return [2 /*return*/];
                        case 5:
                            redirectError_1 = _a.sent();
                            console.log('Redirect authentication error: ', redirectError_1);
                            return [2 /*return*/];
                        case 6: return [3 /*break*/, 7];
                        case 7: return [2 /*return*/];
                    }
                });
            });
        };
        AuthService.prototype.completeLogin = function (url) {
            return __awaiter(this, void 0, void 0, function () {
                var user, error_1;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            _a.trys.push([0, 2, , 3]);
                            return [4 /*yield*/, this._userManager.signinCallback(url)];
                        case 1:
                            user = _a.sent();
                            this._userSubject.next(AuthService._buildUser(user));
                            return [2 /*return*/, user === null || user === void 0 ? void 0 : user.state];
                        case 2:
                            error_1 = _a.sent();
                            console.log('There was an error signing in: ', error_1);
                            return [2 /*return*/];
                        case 3: return [2 /*return*/];
                    }
                });
            });
        };
        AuthService.prototype.logout = function (state) {
            return __awaiter(this, void 0, void 0, function () {
                var redirectLogoutError_1;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            _a.trys.push([0, 2, , 3]);
                            return [4 /*yield*/, this._userManager.signoutRedirect(AuthService._createArguments(state))];
                        case 1:
                            _a.sent();
                            return [2 /*return*/];
                        case 2:
                            redirectLogoutError_1 = _a.sent();
                            console.log('Redirect logout error: ', redirectLogoutError_1);
                            return [2 /*return*/];
                        case 3: return [2 /*return*/];
                    }
                });
            });
        };
        AuthService.prototype.completeLogout = function (url) {
            return __awaiter(this, void 0, void 0, function () {
                var response, error_2;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            _a.trys.push([0, 2, , 3]);
                            return [4 /*yield*/, this._userManager.signoutCallback(url)];
                        case 1:
                            response = _a.sent();
                            return [2 /*return*/, response === null || response === void 0 ? void 0 : response.state];
                        case 2:
                            error_2 = _a.sent();
                            console.log("There was an error trying to log out '" + error_2 + "'.");
                            return [2 /*return*/];
                        case 3: return [2 /*return*/];
                    }
                });
            });
        };
        AuthService.prototype._getUser = function () {
            var _this = this;
            return rxjs.concat(this._userSubject.pipe(operators.take(1), operators.filter(function (u) { return !!u; })), this._getUserFromStorage().pipe(operators.filter(function (u) { return !!u; }), operators.tap(function (u) { return _this._userSubject.next(u); })), this._userSubject.asObservable());
        };
        AuthService.prototype._getUserFromStorage = function () {
            var _this = this;
            return rxjs.of(null).pipe(operators.mergeMap(function (_) { return _this._userManager.getUser(); }), operators.map(function (u) { return u && User.build(u.profile); }));
        };
        AuthService.prototype._getSettings = function () {
            return {
                authority: this._authConfiguration.authority,
                automaticSilentRenew: this._authConfiguration.automaticSilentRenew,
                client_id: this._authConfiguration.clientId,
                includeIdTokenInSilentRenew: this._authConfiguration.includeIdTokenInSilentRenew,
                post_logout_redirect_uri: this._authConfiguration.postLogoutRedirectUri,
                response_type: this._authConfiguration.responseType,
                scope: this._authConfiguration.scope,
                silent_redirect_uri: this._authConfiguration.silentRedirectUri,
                redirect_uri: this._authConfiguration.redirectUri
            };
        };
        AuthService.prototype._subscribeToEvents = function () {
            var _this = this;
            this._userManager.events.addUserSignedOut(function () { return _this._removeUser(); });
            this._userManager.events.addAccessTokenExpired(function () {
                _this._removeUser();
                _this.populate().then();
            });
        };
        AuthService.prototype._removeUser = function () {
            var _this = this;
            this._userManager.removeUser().then(function (_) {
                _this._userSubject.next(null);
            });
        };
        return AuthService;
    }());
    AuthService.ɵprov = i0.ɵɵdefineInjectable({ factory: function AuthService_Factory() { return new AuthService(i0.ɵɵinject(AuthConfiguration), i0.ɵɵinject(i2.Router), i0.ɵɵinject(i2.ActivatedRoute)); }, token: AuthService, providedIn: "root" });
    AuthService.decorators = [
        { type: i0.Injectable, args: [{ providedIn: 'root' },] }
    ];
    AuthService.ctorParameters = function () { return [
        { type: AuthConfiguration },
        { type: i2.Router },
        { type: i2.ActivatedRoute }
    ]; };

    var ReturnUrl = 'returnUrl';
    var LoginPaths = {
        Login: 'login',
        LoginCallback: 'login-callback'
    };
    var LogoutPaths = {
        Logout: 'logout',
        LogoutCallback: 'logout-callback'
    };

    var LoginComponent = /** @class */ (function () {
        function LoginComponent(_activatedRoute, _auth, _router) {
            this._activatedRoute = _activatedRoute;
            this._auth = _auth;
            this._router = _router;
        }
        LoginComponent.prototype.ngOnInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var action, _b;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            action = this._activatedRoute.snapshot.url[0];
                            _b = action.path;
                            switch (_b) {
                                case LoginPaths.Login: return [3 /*break*/, 1];
                                case LoginPaths.LoginCallback: return [3 /*break*/, 3];
                            }
                            return [3 /*break*/, 5];
                        case 1: return [4 /*yield*/, this._login(this._getReturnUrl())];
                        case 2:
                            _c.sent();
                            return [3 /*break*/, 6];
                        case 3: return [4 /*yield*/, this._processLoginCallback()];
                        case 4:
                            _c.sent();
                            return [3 /*break*/, 6];
                        case 5: throw new Error("Invalid action " + action);
                        case 6: return [2 /*return*/];
                    }
                });
            });
        };
        LoginComponent.prototype._login = function (returnUrl) {
            return __awaiter(this, void 0, void 0, function () {
                var state, result;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            state = { returnUrl: returnUrl };
                            return [4 /*yield*/, this._auth.login(state)];
                        case 1:
                            result = _b.sent();
                            if (!result) {
                                return [2 /*return*/];
                            }
                            return [4 /*yield*/, this._router.navigateByUrl(this._getReturnUrl(result), { replaceUrl: true })];
                        case 2:
                            _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LoginComponent.prototype._processLoginCallback = function () {
            return __awaiter(this, void 0, void 0, function () {
                var url, result;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            url = window.location.href;
                            return [4 /*yield*/, this._auth.completeLogin(url)];
                        case 1:
                            result = _b.sent();
                            return [4 /*yield*/, this._router.navigateByUrl(this._getReturnUrl(result), { replaceUrl: true })];
                        case 2:
                            _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LoginComponent.prototype._getReturnUrl = function (state) {
            var _a;
            var fromQuery = (_a = this._activatedRoute.snapshot.queryParams) === null || _a === void 0 ? void 0 : _a.ReturnUrl;
            if (fromQuery &&
                !(fromQuery.startsWith(window.location.origin + "/") ||
                    /\/[^\/].*/.test(fromQuery))) {
                throw new Error('Invalid return url. The return url needs to have the same origin as the current page.');
            }
            return (state && state.returnUrl) ||
                fromQuery ||
                '/';
        };
        return LoginComponent;
    }());
    LoginComponent.decorators = [
        { type: i0.Component, args: [{
                    template: ''
                },] }
    ];
    LoginComponent.ctorParameters = function () { return [
        { type: i2.ActivatedRoute },
        { type: AuthService },
        { type: i2.Router }
    ]; };

    var LogoutComponent = /** @class */ (function () {
        function LogoutComponent(_activatedRoute, _auth, _router) {
            this._activatedRoute = _activatedRoute;
            this._auth = _auth;
            this._router = _router;
        }
        LogoutComponent.prototype.ngOnInit = function () {
            return __awaiter(this, void 0, void 0, function () {
                var action, _b;
                return __generator(this, function (_c) {
                    switch (_c.label) {
                        case 0:
                            action = this._activatedRoute.snapshot.url[0];
                            _b = action.path;
                            switch (_b) {
                                case LogoutPaths.Logout: return [3 /*break*/, 1];
                                case LogoutPaths.LogoutCallback: return [3 /*break*/, 3];
                            }
                            return [3 /*break*/, 5];
                        case 1: return [4 /*yield*/, this._logout(this._getReturnUrl())];
                        case 2:
                            _c.sent();
                            return [3 /*break*/, 6];
                        case 3: return [4 /*yield*/, this._logoutCallback()];
                        case 4:
                            _c.sent();
                            return [3 /*break*/, 6];
                        case 5: throw new Error("Invalid action " + action);
                        case 6: return [2 /*return*/];
                    }
                });
            });
        };
        LogoutComponent.prototype._logout = function (returnUrl) {
            return __awaiter(this, void 0, void 0, function () {
                var state, isAuthenticated;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            state = { returnUrl: returnUrl };
                            return [4 /*yield*/, this._auth.isAuthenticated$.pipe(operators.take(1)).toPromise()];
                        case 1:
                            isAuthenticated = _b.sent();
                            if (!isAuthenticated) {
                                return [2 /*return*/];
                            }
                            return [4 /*yield*/, this._auth.logout(state)];
                        case 2:
                            _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LogoutComponent.prototype._logoutCallback = function () {
            return __awaiter(this, void 0, void 0, function () {
                var url;
                return __generator(this, function (_b) {
                    switch (_b.label) {
                        case 0:
                            url = window.location.href;
                            return [4 /*yield*/, this._auth.completeLogout(url)];
                        case 1:
                            _b.sent();
                            return [2 /*return*/];
                    }
                });
            });
        };
        LogoutComponent.prototype._getReturnUrl = function (state) {
            var _a;
            var fromQuery = (_a = this._activatedRoute.snapshot.queryParams) === null || _a === void 0 ? void 0 : _a.ReturnUrl;
            if (fromQuery &&
                !(fromQuery.startsWith(window.location.origin + "/") ||
                    /\/[^\/].*/.test(fromQuery))) {
                throw new Error('Invalid return url. The return url needs to have the same origin as the current page.');
            }
            return (state && state.returnUrl) ||
                fromQuery ||
                '/';
        };
        return LogoutComponent;
    }());
    LogoutComponent.decorators = [
        { type: i0.Component, args: [{
                    template: ''
                },] }
    ];
    LogoutComponent.ctorParameters = function () { return [
        { type: i2.ActivatedRoute },
        { type: AuthService },
        { type: i2.Router }
    ]; };

    var AuthInterceptor = /** @class */ (function () {
        function AuthInterceptor(auth) {
            this.auth = auth;
            this.processRequestWithToken = function (token, req, next) {
                if (!!token) {
                    req = req.clone({
                        setHeaders: { Authorization: "Bearer " + token }
                    });
                }
                return next.handle(req);
            };
        }
        AuthInterceptor.prototype.intercept = function (req, next) {
            var _this = this;
            return this.auth.getAccessToken().pipe(operators.mergeMap(function (token) { return _this.processRequestWithToken(token, req, next); }));
        };
        return AuthInterceptor;
    }());
    AuthInterceptor.decorators = [
        { type: i0.Injectable }
    ];
    AuthInterceptor.ctorParameters = function () { return [
        { type: AuthService }
    ]; };

    var routes = [
        { path: LoginPaths.Login, component: LoginComponent },
        { path: LoginPaths.LoginCallback, component: LoginComponent },
        { path: LogoutPaths.Logout, component: LogoutComponent },
        { path: LogoutPaths.LogoutCallback, component: LogoutComponent },
    ];
    // @dynamic
    var AuthModule = /** @class */ (function () {
        function AuthModule() {
        }
        AuthModule.forRoot = function (config) {
            return ({
                ngModule: AuthModule,
                providers: [
                    {
                        provide: AuthConfiguration,
                        useExisting: config
                    }
                ]
            });
        };
        return AuthModule;
    }());
    AuthModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [
                        i2.RouterModule.forRoot(routes)
                    ],
                    declarations: [
                        LoginComponent,
                        LogoutComponent
                    ],
                    providers: [
                        {
                            provide: http.HTTP_INTERCEPTORS,
                            useClass: AuthInterceptor,
                            multi: true
                        },
                        {
                            provide: i0.APP_INITIALIZER,
                            useFactory: authSilentSignin,
                            deps: [AuthService],
                            multi: true
                        }
                    ]
                },] }
    ];
    function authSilentSignin(auth) {
        return function () { return auth.populate(); };
    }

    var AuthorizeGuard = /** @class */ (function () {
        function AuthorizeGuard(_auth, _router) {
            var _this = this;
            this._auth = _auth;
            this._router = _router;
            this.handleAuthorization = function (isAuthenticated, state) {
                if (!isAuthenticated) {
                    _this._router.navigate([LoginPaths.Login], {
                        queryParams: { ReturnUrl: state.url }
                    }).then();
                }
            };
        }
        AuthorizeGuard.prototype.canActivate = function (_next, state) {
            var _this = this;
            return this._auth.isAuthenticated$
                .pipe(operators.tap(function (isAuthenticated) { return _this.handleAuthorization(isAuthenticated, state); }));
        };
        return AuthorizeGuard;
    }());
    AuthorizeGuard.ɵprov = i0.ɵɵdefineInjectable({ factory: function AuthorizeGuard_Factory() { return new AuthorizeGuard(i0.ɵɵinject(AuthService), i0.ɵɵinject(i2.Router)); }, token: AuthorizeGuard, providedIn: "root" });
    AuthorizeGuard.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    AuthorizeGuard.ctorParameters = function () { return [
        { type: AuthService },
        { type: i2.Router }
    ]; };

    (function (AvatarStyle) {
        AvatarStyle[AvatarStyle["normal"] = 0] = "normal";
        AvatarStyle[AvatarStyle["grayDashedBorder"] = 1] = "grayDashedBorder";
        AvatarStyle[AvatarStyle["gray"] = 2] = "gray";
    })(exports.AvatarStyle || (exports.AvatarStyle = {}));
    (function (FileUploadError) {
        FileUploadError[FileUploadError["incorrectType"] = 0] = "incorrectType";
        FileUploadError[FileUploadError["multipleFiles"] = 1] = "multipleFiles";
    })(exports.FileUploadError || (exports.FileUploadError = {}));

    var AvatarComponent = /** @class */ (function () {
        function AvatarComponent() {
            this.enableUpload = false;
            this.size = 40;
            this.alt = 'avatar';
            this.sideMargin = 10;
            this.background = '#FFFFFF';
            this.color = '#748FFC';
            this.avatarStyle = exports.AvatarStyle.normal;
            this.showBorder = true;
            this.fileSelected = new i0.EventEmitter();
            this.uploadError = new i0.EventEmitter();
            this._availableUploadFormats = [
                'image/jpeg'
            ];
        }
        AvatarComponent.prototype.ngOnInit = function () {
        };
        Object.defineProperty(AvatarComponent.prototype, "imageUploaderBorderRadius", {
            get: function () {
                return "0 0 " + this.size + "px " + this.size + "px";
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "imageUploaderHeight", {
            get: function () {
                return this.size / 2 + "px";
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "margin", {
            get: function () {
                return "0 " + this.sideMargin + "px";
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "border", {
            get: function () {
                if (this.source || !this.showBorder) {
                    return 'none';
                }
                if (this.avatarStyle === exports.AvatarStyle.grayDashedBorder) {
                    return "2px dashed rgba(0, 0, 0, 0.38)";
                }
                return this.source ? 'none' : "1px " + this.color + " solid";
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "grayStyles", {
            get: function () {
                if (this.avatarStyle === exports.AvatarStyle.gray) {
                    return {
                        '-webkit-filter': 'grayscale(100%)',
                        filter: 'grayscale(100%)',
                    };
                }
                return {};
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AvatarComponent.prototype, "getFontSize", {
            get: function () {
                return this.fontSize ? this.fontSize + "px" : 'inherit';
            },
            enumerable: false,
            configurable: true
        });
        AvatarComponent.prototype.getMonogram = function () {
            var _a, _b, _c, _d;
            if (!this.text) {
                return;
            }
            var arr = this.text.split(' ');
            var first = (_b = (_a = arr[0]) === null || _a === void 0 ? void 0 : _a.charAt(0)) !== null && _b !== void 0 ? _b : '';
            var second = (_d = (_c = arr[1]) === null || _c === void 0 ? void 0 : _c.charAt(0)) !== null && _d !== void 0 ? _d : '';
            return first + second;
        };
        AvatarComponent.prototype.getSizePx = function () {
            return this.size + "px";
        };
        AvatarComponent.prototype.openFileDialog = function () {
            this.fileSelectDialog.nativeElement.click();
        };
        AvatarComponent.prototype.onFileSelected = function ($event) {
            if ($event.target.files.length === 0) {
                return;
            }
            if ($event.target.files.length > 1) {
                this.uploadError.emit(exports.FileUploadError.multipleFiles);
                return;
            }
            var file = $event.target.files[0];
            if (!this._availableUploadFormats.find(function (type) { return file.type === type; })) {
                this.uploadError.emit(exports.FileUploadError.incorrectType);
                return;
            }
            this.fileSelected.emit(file);
        };
        return AvatarComponent;
    }());
    AvatarComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'pixo-avatar',
                    template: "<div class=\"px-avatar\"\n     [style.margin]=\"margin\"\n     [style.width]=\"getSizePx()\"\n     [style.height]=\"getSizePx()\"\n     [style.background]=\"background\"\n     [style.border]=\"border\"\n     [style.fontSize]=\"getFontSize\"\n     [style.color]=\"color\">\n  <img *ngIf=\"source;else  monogram\"\n       [style.width]=\"getSizePx()\"\n       [style.height]=\"getSizePx()\"\n       [style.borderRadius]=\"'50%'\"\n       [alt]=\"alt\"\n       [ngStyle]=\"grayStyles\"\n       [src]=\"source\">\n\n  <ng-template #monogram>\n    <div [style.textTransform]=\"'uppercase'\"> {{getMonogram()}}</div>\n  </ng-template>\n\n\n  <div *ngIf=\"enableUpload\" class=\"px-av-upload\"\n       [style.height]=\"imageUploaderHeight\"\n       [style.borderRadius]=\"imageUploaderBorderRadius\"\n       [style.width]=\"getSizePx()\">\n    <button mat-icon-button (click)=\"openFileDialog()\"><mat-icon>photo_camera</mat-icon></button>\n    <input hidden #fileSelectDialog type=\"file\" accept=\"image/*\" (change)=\"onFileSelected($event)\"/>\n  </div>\n</div>\n",
                    styles: [".px-avatar{border-radius:50%;position:relative;cursor:pointer}.px-av-upload,.px-avatar{display:flex;align-items:center;justify-content:center}.px-av-upload{background-color:rgba(0,0,0,.38);position:absolute;box-sizing:border-box;bottom:0}.px-av-upload .mat-icon-button{width:20px;height:20px;line-height:0}.px-av-upload .mat-icon-button mat-icon{font-size:20px;height:20px;width:20px}"]
                },] }
    ];
    AvatarComponent.ctorParameters = function () { return []; };
    AvatarComponent.propDecorators = {
        enableUpload: [{ type: i0.Input }],
        size: [{ type: i0.Input }],
        source: [{ type: i0.Input }],
        alt: [{ type: i0.Input }],
        sideMargin: [{ type: i0.Input }],
        background: [{ type: i0.Input }],
        color: [{ type: i0.Input }],
        text: [{ type: i0.Input }],
        avatarStyle: [{ type: i0.Input }],
        fontSize: [{ type: i0.Input }],
        showBorder: [{ type: i0.Input }],
        fileSelected: [{ type: i0.Output }],
        uploadError: [{ type: i0.Output }],
        fileSelectDialog: [{ type: i0.ViewChild, args: ['fileSelectDialog',] }]
    };

    var AvatarModule = /** @class */ (function () {
        function AvatarModule() {
        }
        return AvatarModule;
    }());
    AvatarModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        icon.MatIconModule,
                        button.MatButtonModule
                    ],
                    declarations: [AvatarComponent],
                    exports: [AvatarComponent],
                    entryComponents: [AvatarComponent]
                },] }
    ];

    var ToolbarService = /** @class */ (function () {
        function ToolbarService() {
        }
        return ToolbarService;
    }());
    ToolbarService.decorators = [
        { type: i0.Injectable }
    ];

    var ProfileMenuComponent = /** @class */ (function () {
        function ProfileMenuComponent(ref, data) {
            this.ref = ref;
            this.data = data;
        }
        ProfileMenuComponent.prototype.ngOnInit = function () {
            var dialogPosition = this.data.direction === 'rtl' ?
                { top: '8px', left: '40px' }
                : { top: '8px', right: '40px' };
            this.ref.updatePosition(dialogPosition);
        };
        return ProfileMenuComponent;
    }());
    ProfileMenuComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'pixo-profile-menu',
                    template: "<div fxLayout=\"column\" fxLayoutAlign=\"center center\" [style.margin]=\"'0 -24px'\" [dir]=\"data.direction\">\n  <pixo-avatar class=\"px-tb-hdl-4\"\n              [text]=\"data.username\"\n              [background]=\"'#748FFC'\"\n              [color]=\"'white'\"\n              [showBorder]=\"false\"\n              [size]=\"60\" [alt]=\"''\"\n              [enableUpload]=\"true\">\n  </pixo-avatar>\n  <span class=\"px-tb-sbt-1\" [style.marginTop]=\"'8px'\">{{data.username}}</span>\n  <span class=\"px-tb-cpt px-tb-o-06\" [style.marginTop]=\"'4px'\">{{data.email}}</span>\n  <button mat-button mat-dialog-close=\"true\"\n          class=\"px-tb-menu-pr-item px-tb-btn\" [style.marginTop]=\"'16px'\"\n          routerLink=\"{{data.accountMenu.primaryItem.route}}\">\n    <mat-icon>{{data.accountMenu.primaryItem.matIcon}}</mat-icon>\n    {{data.accountMenu.primaryItem.displayName}}\n  </button>\n  <mat-divider class=\"px-tb-w-100\"></mat-divider>\n  <div *ngFor=\"let item of data.accountMenu.items\" class=\"px-tb-w-100\">\n    <button mat-button mat-dialog-close=\"true\"\n            class=\"px-tb-menu-sec-item px-tb-btn\"\n            routerLink=\"{{item.route}}\">\n      <mat-icon>{{item.matIcon}}</mat-icon>\n      {{item.displayName}}\n    </button>\n    <mat-divider class=\"px-tb-w-100\"></mat-divider>\n  </div>\n  <div fxLayout=\"row\" fxLayoutAlign=\"center center\" class=\"px-tb-cpt px-tb-o-06\" [style.marginTop]=\"'16px'\">\n    <div>\n      <a routerLink=\"{{data.accountMenu.privacyPolicy.route}}\">\n        {{data.accountMenu.privacyPolicy.displayName}}\n      </a>\n    </div>\n    <div [style.margin]=\"'0 10px'\">\u00B7</div>\n    <div>\n      <a routerLink=\"{{data.accountMenu.termsOfUse.route}}\">\n        {{data.accountMenu.termsOfUse.displayName}}\n      </a>\n    </div>\n  </div>\n</div>\n",
                    styles: [".px-tb-menu-pr-item{width:140px;height:36px;border:1px solid #018786;border-radius:4px;color:#018786;margin-bottom:16px}.px-tb-menu-sec-item{width:100%;height:48px}::ng-deep pixo-profile-menu a{color:inherit;text-decoration:none}"]
                },] }
    ];
    ProfileMenuComponent.ctorParameters = function () { return [
        { type: dialog.MatDialogRef },
        { type: undefined, decorators: [{ type: i0.Inject, args: [dialog.MAT_DIALOG_DATA,] }] }
    ]; };

    var Common = /** @class */ (function () {
        function Common(activatedRoute, router) {
            this.activatedRoute = activatedRoute;
            this.router = router;
            this.subscription = new rxjs.Subscription();
        }
        Common.prototype.subscribeToRouteData = function (callback) {
            var _this = this;
            this.subscription.add(this.router.events
                .pipe(operators.filter(function (event) { return event instanceof i2.NavigationEnd; }), operators.map(function () { return _this.activatedRoute; }), operators.map(function (route) {
                while (route.firstChild) {
                    route = route.firstChild;
                }
                return route;
            }))
                .pipe(operators.filter(function (route) { return route.outlet === 'primary'; }), operators.mergeMap(function (route) { return route.data; }))
                .subscribe(callback));
        };
        Common.prototype.unsubscribe = function () {
            this.subscription.unsubscribe();
        };
        return Common;
    }());

    var ToolbarComponent = /** @class */ (function (_super) {
        __extends(ToolbarComponent, _super);
        function ToolbarComponent(toolbar, dialog, router, activatedRoute) {
            var _this = _super.call(this, activatedRoute, router) || this;
            _this.toolbar = toolbar;
            _this.dialog = dialog;
            _this.enabled = false;
            _this.keyUp = new rxjs.Subject();
            _this.search = new i0.EventEmitter();
            _this._subscribeToData();
            return _this;
        }
        ToolbarComponent.prototype.ngOnInit = function () {
            var _this = this;
            this.keyUp.pipe(operators.debounceTime(this.toolbar.search.debounceTime), operators.distinctUntilChanged(), operators.tap(function (e) {
                var _a;
                _this.search.emit((_a = e.target) === null || _a === void 0 ? void 0 : _a.value);
            })).subscribe();
        };
        ToolbarComponent.prototype.openMenu = function () {
            if (this._dialogRef) {
                this._dialogRef.close();
                this._dialogRef = undefined;
            }
            this._dialogRef = this.dialog.open(ProfileMenuComponent, {
                width: '320px',
                height: '310px',
                data: {
                    accountMenu: this.toolbar.accountMenu,
                    username: this.username,
                    email: this.email,
                    direction: this.direction
                }
            });
        };
        ToolbarComponent.prototype._subscribeToData = function () {
            var _this = this;
            var callback = function (event) {
                if (event.hasOwnProperty('pixoToolbarEnabled')) {
                    _this.enabled = event.pixoToolbarEnabled;
                }
                else {
                    _this.enabled = true;
                }
            };
            this.subscribeToRouteData(callback);
        };
        return ToolbarComponent;
    }(Common));
    ToolbarComponent.decorators = [
        { type: i0.Component, args: [{
                    // tslint:disable-next-line:component-selector
                    selector: 'pixo-toolbar',
                    template: "<mat-toolbar class=\"px-tb z-index\" [dir]=\"direction\" *ngIf=\"enabled\">\n  <div class=\"px-tb-l\">\n    <div class=\"px-tb-logo\">\n      <img class src=\"{{toolbar.logo.source}}\" alt=\"{{toolbar.logo.alt}}\"/>\n    </div>\n    <button mat-icon-button class=\"px-tb-burger\" [dir]=\"direction\">\n      <mat-icon>dehaze</mat-icon>\n    </button>\n    <span class=\"px-tb-title\">MyCompany1</span>\n  </div>\n  <div class=\"px-tb-r\">\n    <mat-form-field appearance=\"outline\" class=\"px-tb-search\">\n      <label>\n        <input (keyup)='keyUp.next($event)' matInput placeholder=\"{{toolbar.search.placeholder}}\"/>\n      </label>\n      <mat-icon matPrefix>search</mat-icon>\n    </mat-form-field>\n    <button mat-icon-button [style.margin]=\"'0 20px'\">\n      <mat-icon>apps</mat-icon>\n    </button>\n    <button mat-icon-button>\n      <mat-icon>notifications_none</mat-icon>\n    </button>\n    <pixo-avatar (click)=\"openMenu()\"  [text]=\"username\"\n                [color]=\"'white'\" [alt]=\"''\" [background]=\"'#748FFC'\"\n                [sideMargin]=\"20\" [showBorder]=\"false\" [avatarStyle]=\"0\">\n    </pixo-avatar>\n  </div>\n</mat-toolbar>\n",
                    styles: ["::ng-deep:root{--px-tb-h:56px}.px-tb{background:#364fc7;height:var(--px-tb-h);top:0!important;position:fixed;display:flex;align-items:center;justify-content:space-between;flex-direction:row;color:#fff!important;padding:0 20px}.px-tb.z-index{z-index:1}.px-tb-l{align-items:center}.px-tb-l,.px-tb-r{display:flex;justify-content:center}.px-tb-r{align-items:flex-start}.px-tb-logo{width:40px!important;margin-right:0!important;margin-left:0!important;align-items:center;display:flex}::ng-deep pixo-toolbar .px-tb-logo img{width:40px;height:40px}.px-tb-title{font-weight:400;font-size:24px;line-height:24px;letter-spacing:.18px}::ng-deep .px-tb .mat-form-field-infix{padding:0}::ng-deep .mat-form-field-wrapper{padding:0;margin:0}.px-tb .mat-form-field{font-size:14px}.mat-mini-fab:not([class*=mat-elevation-z]),.px-tb .mat-fab:not([class*=mat-elevation-z]){box-shadow:none}.px-tb-search{width:328px;height:36px;border-radius:4px;margin:0 40px}button.px-tb-burger[dir=rtl]{margin-right:40px;margin-left:15px}button.px-tb-burger[dir=ltr]{margin-right:15px;margin-left:40px}::ng-deep mat-toolbar.px-tb .mat-form-field-appearance-outline .mat-form-field-outline{background-color:#7a89cd!important;border-radius:5px}::ng-deep .px-tb .mat-form-field-flex>.mat-form-field-infix{padding:.6em 0!important;border-top:.5em solid transparent}.px-tb .mat-form-field .mat-icon{color:#adb6e0}.px-tb ::-moz-placeholder{color:hsla(0,0%,100%,.74);opacity:1}.px-tb :-ms-input-placeholder{color:hsla(0,0%,100%,.74);opacity:1}.px-tb ::placeholder{color:hsla(0,0%,100%,.74);opacity:1}::ng-deep .px-tb-search .mat-form-field-infix{margin-right:15px}::ng-deep .px-tb-hdl-4{font-size:34px!important;line-height:36px!important}::ng-deep .px-tb-sbt-1{font-size:16px!important;line-height:24px!important;letter-spacing:.15px!important}::ng-deep .px-tb-cpt{font-weight:600!important;font-size:12px!important;line-height:16px!important;letter-spacing:.4px!important}::ng-deep .px-tb-o-06{color:rgba(0,0,0,.6)}::ng-deep .px-tb-btn{font-weight:700!important;font-size:14px!important;line-height:16px!important;letter-spacing:1.25px!important;text-transform:uppercase!important}::ng-deep .px-tb-w-100{width:100%!important}::ng-deep.cdk-overlay-container{z-index:5001}"]
                },] }
    ];
    ToolbarComponent.ctorParameters = function () { return [
        { type: ToolbarService },
        { type: dialog.MatDialog },
        { type: i2.Router },
        { type: i2.ActivatedRoute }
    ]; };
    ToolbarComponent.propDecorators = {
        search: [{ type: i0.Output }],
        title: [{ type: i0.Input }],
        direction: [{ type: i0.Input }],
        username: [{ type: i0.Input }],
        email: [{ type: i0.Input }]
    };

    var ToolbarModule = /** @class */ (function () {
        function ToolbarModule() {
        }
        ToolbarModule.forRoot = function (config) {
            return ({
                ngModule: ToolbarModule,
                providers: [
                    {
                        provide: ToolbarService,
                        useExisting: config
                    }
                ]
            });
        };
        return ToolbarModule;
    }());
    ToolbarModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        i2.RouterModule,
                        flexLayout.FlexLayoutModule,
                        toolbar.MatToolbarModule,
                        icon.MatIconModule,
                        formField.MatFormFieldModule,
                        input.MatInputModule,
                        button.MatButtonModule,
                        divider.MatDividerModule,
                        dialog.MatDialogModule,
                        AvatarModule
                    ],
                    declarations: [
                        ToolbarComponent,
                        ProfileMenuComponent
                    ],
                    entryComponents: [ProfileMenuComponent],
                    exports: [ToolbarComponent]
                },] }
    ];

    var SideNavigationService = /** @class */ (function () {
        function SideNavigationService() {
        }
        return SideNavigationService;
    }());
    SideNavigationService.decorators = [
        { type: i0.Injectable }
    ];

    var SideNavigationComponent = /** @class */ (function (_super) {
        __extends(SideNavigationComponent, _super);
        function SideNavigationComponent(sidenav, router, activatedRoute) {
            var _this = _super.call(this, activatedRoute, router) || this;
            _this.sidenav = sidenav;
            _this.enabled = true;
            _this._subscribeToData();
            return _this;
        }
        SideNavigationComponent.prototype.ngOnDestroy = function () {
            this.unsubscribe();
        };
        SideNavigationComponent.prototype.itemIsActive = function (route) {
            var urlTree = this.router.createUrlTree([route]);
            return this.router.isActive(urlTree, false);
        };
        SideNavigationComponent.prototype._subscribeToData = function () {
            var _this = this;
            var callback = function (event) {
                if (event.hasOwnProperty('pixoSidenavEnabled')) {
                    _this.enabled = event.pixoSidenavEnabled;
                }
                else {
                    _this.enabled = true;
                }
            };
            this.subscribeToRouteData(callback);
        };
        return SideNavigationComponent;
    }(Common));
    SideNavigationComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'pixo-side-navigation',
                    template: "<div class=\"pixo-sidenav z-index\" *ngIf=\"enabled\">\n  <ng-container *ngFor=\"let item of sidenav.items\">\n    <ng-container *ngTemplateOutlet=\"itemTemplate; context: {item: item}\"></ng-container>\n  </ng-container>\n</div>\n\n<ng-template #itemTemplate let-item='item'>\n  <ng-container *ngIf=\"!(itemIsActive(item.route) && item.children?.length > 0)\">\n    <div fxLayout=\"column\" fxLayoutAlign=\"center center\"\n         [routerLink]=\"item.route\"\n         [routerLinkActive]=\"'pixo-sidenav_item-active'\"\n         class=\"pixo-sidenav_item\">\n      <mat-icon>{{item.icon}}</mat-icon>\n      <span>{{item.displayName}}</span>\n    </div>\n  </ng-container>\n  <ng-container *ngIf=\"itemIsActive(item.route) && item.children?.length > 0\">\n    <div fxLayout=\"column\" fxLayoutAlign=\"center center\"\n         *ngFor=\"let child of item.children\"\n         [routerLink]=\"child.route\"\n         [routerLinkActive]=\"'pixo-sidenav_item-active'\"\n         class=\"pixo-sidenav_item pixo-sidenav_item_children\">\n      <mat-icon>{{child.icon}}</mat-icon>\n      <span>{{child.displayName}}</span>\n    </div>\n  </ng-container>\n</ng-template>\n",
                    styles: ["::ng-deep:root{--px-sn-w:80px}.pixo-sidenav{width:80px;background:#bac8ff;height:calc(100vh - 56px);padding:15px 0 20px;color:#364fc7;position:sticky;box-shadow:0 4px 5px rgba(0,0,0,.14),0 1px 10px rgba(0,0,0,.12),0 2px 4px rgba(0,0,0,.2);top:56px}.pixo-sidenav.z-index{z-index:1}.pixo-sidenav_item{min-height:56px;padding:8px 15px}.pixo-sidenav_item:hover{background:#edf2ff;cursor:pointer}.pixo-sidenav_item-selected{color:#00b3a6;background:#edf2ff}.pixo-sidenav_item span{font-style:normal;font-weight:600;font-size:12px;line-height:16px;text-align:center;letter-spacing:.4px}.pixo-sidenav_item-active{color:#00b3a6}.pixo-sidenav_item_children{background:#edf2ff}"]
                },] }
    ];
    SideNavigationComponent.ctorParameters = function () { return [
        { type: SideNavigationService },
        { type: i2.Router },
        { type: i2.ActivatedRoute }
    ]; };

    var components = [
        SideNavigationComponent
    ];
    var SideNavigationModule = /** @class */ (function () {
        function SideNavigationModule() {
        }
        SideNavigationModule.forRoot = function (config) {
            return ({
                ngModule: SideNavigationModule,
                providers: [
                    {
                        provide: SideNavigationService,
                        useExisting: config
                    }
                ]
            });
        };
        return SideNavigationModule;
    }());
    SideNavigationModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [
                        common.CommonModule,
                        i2.RouterModule,
                        flexLayout.FlexLayoutModule,
                        card.MatCardModule,
                        icon.MatIconModule
                    ],
                    declarations: components,
                    exports: components
                },] }
    ];

    var FeedbackComponent = /** @class */ (function () {
        function FeedbackComponent() {
        }
        return FeedbackComponent;
    }());
    FeedbackComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'pixo-feedback',
                    template: "<div class=\"px-feedback\" fxLayoutAlign=\"center center\">\n  <button mat-fab class=\"px-message-button\">\n    <mat-icon>feedback</mat-icon>\n  </button>\n</div>\n\n",
                    styles: [".px-feedback{position:fixed;width:100px;bottom:5vw;z-index:5001}.px-message-button{background-color:#03dac5;color:#000}"]
                },] }
    ];
    FeedbackComponent.ctorParameters = function () { return []; };

    var FeedbackModule = /** @class */ (function () {
        function FeedbackModule() {
        }
        return FeedbackModule;
    }());
    FeedbackModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: [
                        flexLayout.FlexLayoutModule,
                        icon.MatIconModule,
                        button.MatButtonModule
                    ],
                    declarations: [FeedbackComponent],
                    exports: [FeedbackComponent]
                },] }
    ];

    var AutofocusDirective = /** @class */ (function () {
        function AutofocusDirective(_input) {
            this._input = _input;
        }
        AutofocusDirective.prototype.ngOnInit = function () {
            var _this = this;
            if (!this._input) {
                rxjs.throwError('Wrong input item');
            }
            else {
                setTimeout(function () { return _this._input.focus(); });
            }
        };
        return AutofocusDirective;
    }());
    AutofocusDirective.decorators = [
        { type: i0.Directive, args: [{
                    selector: '[pixoAutofocus]'
                },] }
    ];
    AutofocusDirective.ctorParameters = function () { return [
        { type: input.MatInput }
    ]; };

    var AutofocusDirectiveModule = /** @class */ (function () {
        function AutofocusDirectiveModule() {
        }
        return AutofocusDirectiveModule;
    }());
    AutofocusDirectiveModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [AutofocusDirective],
                    exports: [AutofocusDirective],
                },] }
    ];

    var components$1 = [
        AvatarModule,
        ToolbarModule,
        SideNavigationModule,
        FeedbackModule,
        AuthModule,
        AutofocusDirectiveModule
    ];
    var PixoUiInfraModule = /** @class */ (function () {
        function PixoUiInfraModule() {
        }
        return PixoUiInfraModule;
    }());
    PixoUiInfraModule.decorators = [
        { type: i0.NgModule, args: [{
                    imports: components$1,
                    exports: components$1
                },] }
    ];

    /*
     * Public API Surface of px-all-px
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.AuthModule = AuthModule;
    exports.AuthService = AuthService;
    exports.AuthorizeGuard = AuthorizeGuard;
    exports.AutofocusDirective = AutofocusDirective;
    exports.AutofocusDirectiveModule = AutofocusDirectiveModule;
    exports.AvatarComponent = AvatarComponent;
    exports.AvatarModule = AvatarModule;
    exports.FeedbackComponent = FeedbackComponent;
    exports.FeedbackModule = FeedbackModule;
    exports.PixoUiInfraModule = PixoUiInfraModule;
    exports.SideNavigationComponent = SideNavigationComponent;
    exports.SideNavigationModule = SideNavigationModule;
    exports.SideNavigationService = SideNavigationService;
    exports.ToolbarComponent = ToolbarComponent;
    exports.ToolbarModule = ToolbarModule;
    exports.ToolbarService = ToolbarService;
    exports.User = User;
    exports.authSilentSignin = authSilentSignin;
    exports.ɵa = LoginPaths;
    exports.ɵb = LogoutPaths;
    exports.ɵc = LoginComponent;
    exports.ɵd = AuthConfiguration;
    exports.ɵe = LogoutComponent;
    exports.ɵf = AuthInterceptor;
    exports.ɵg = Common;
    exports.ɵh = ProfileMenuComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=pixo-ui-infra.umd.js.map
