import { ActivatedRoute, Router } from '@angular/router';
import { Observable } from 'rxjs';
import { IUser } from './data/auth.models';
import { AuthConfiguration } from './auth-configuration.service';
export declare class AuthService {
    private _authConfiguration;
    private _router;
    private _activatedRoute;
    constructor(_authConfiguration: AuthConfiguration, _router: Router, _activatedRoute: ActivatedRoute);
    private _userManager;
    private _userSubject;
    isAuthenticated$: Observable<boolean>;
    user: Observable<IUser>;
    private static _createArguments;
    private static _buildUser;
    getAccessToken(): Observable<string>;
    populate(): Promise<void>;
    login(state: any): Promise<any>;
    completeLogin(url: string): Promise<any>;
    logout(state: any): Promise<any>;
    completeLogout(url: string): Promise<any>;
    private _getUser;
    private _getUserFromStorage;
    private _getSettings;
    private _subscribeToEvents;
    private _removeUser;
}
