export interface IUser {
    username: string;
    fullName: string;
    email: string;
}
export declare class User implements IUser {
    username: string;
    fullName: string;
    email: string;
    private constructor();
    static build(obj: any): User;
}
export interface IAuthConfiguration {
    authority: string;
    clientId: string;
    scope: string;
    responseType: string;
    postLogoutRedirectUri: string;
    redirectUri: string;
    automaticSilentRenew: boolean;
    includeIdTokenInSilentRenew: boolean;
    silentRedirectUri: string;
}
