import { OnDestroy } from '@angular/core';
import { ActivatedRoute, Router } from '@angular/router';
import { SideNavigationService } from '../../side-navigation.service';
import { Common } from '../../../common';
export declare class SideNavigationComponent extends Common implements OnDestroy {
    sidenav: SideNavigationService;
    enabled: boolean;
    constructor(sidenav: SideNavigationService, router: Router, activatedRoute: ActivatedRoute);
    ngOnDestroy(): void;
    itemIsActive(route: string): boolean;
    private _subscribeToData;
}
