export interface ISearchConfiguration {
    debounceTime: number;
    placeholder: string;
}
export interface ILogoConfiguration {
    alt: string;
    source: string;
}
export interface IAccountMenuConfiguration {
    primaryItem: IAccountMenuItem;
    items: IAccountMenuItem[];
    termsOfUse: {
        displayName: string;
        route: string;
        name: string;
    };
    privacyPolicy: {
        displayName: string;
        route: string;
        name: string;
    };
}
export interface IToolbarConfiguration {
    search: ISearchConfiguration;
    logo: ILogoConfiguration;
    accountMenu: IAccountMenuConfiguration;
}
export interface IAccountMenuItem {
    route: string;
    matIcon: string;
    name: string;
    displayName: string;
}
